Error from "save oar"

classic Classic list List threaded Threaded
9 messages Options
Reply | Threaded
Open this post in threaded view
|

Error from "save oar"

John Hopkin
I'm getting errors (see below) whenever I try "save oar". This occurs
from any of the 11 regions, whether or not only one is up at a time,
and regardless of how many assets are in that region (minimum is 1).

The errors are produced immediately when "save oar <filename>" is
entered.

Any ideas?

Spec: Ubuntu Karmic, Mono 2.6, OSGrid UGAIM,

Output:

16:19:59 - Command error: System.EntryPointNotFoundException:
create_z_stream
  at (wrapper managed-to-native)
System.IO.Compression.DeflateStream:create_z_stream
(System.IO.Compression.CompressionMode,bool)
  at System.IO.Compression.DeflateStream..ctor (System.IO.Stream
compressedStream, CompressionMode mode, Boolean leaveOpen, Boolean
gzip) [0x00000]
  at (wrapper remoting-invoke-with-check)
System.IO.Compression.DeflateStream:.ctor
(System.IO.Stream,System.IO.Compression.CompressionMode,bool,bool)
  at System.IO.Compression.GZipStream..ctor (System.IO.Stream
compressedStream, CompressionMode mode, Boolean leaveOpen) [0x00000]
  at System.IO.Compression.GZipStream..ctor (System.IO.Stream
compressedStream, CompressionMode mode) [0x00000]
  at (wrapper remoting-invoke-with-check)
System.IO.Compression.GZipStream:.ctor
(System.IO.Stream,System.IO.Compression.CompressionMode)
  at
OpenSim.Region.CoreModules.World.Archiver.ArchiveWriteRequestPreparation..ctor
(OpenSim.Region.Framework.Scenes.Scene scene, System.String savePath,
Guid requestId) [0x00000]
  at
OpenSim.Region.CoreModules.World.Archiver.ArchiverModule.ArchiveRegion
(System.String savePath, Guid requestId) [0x00000]
  at
OpenSim.Region.CoreModules.World.Archiver.ArchiverModule.ArchiveRegion
(System.String savePath) [0x00000]
  at
OpenSim.Region.CoreModules.World.Archiver.ArchiverModule.HandleSaveOarConsoleCommand
(System.String module, System.String[] cmdparams)
--
John Hopkin

_______________________________________________
Opensim-users mailing list
[hidden email]
https://lists.berlios.de/mailman/listinfo/opensim-users
Reply | Threaded
Open this post in threaded view
|

Re: Error from "save oar"

Dave Coyle-2

On Feb 2, 2010, at 11:59 AM, John Hopkin  
<[hidden email]> wrote:

> I'm getting errors (see below) whenever I try "save oar". This occurs
> from any of the 11 regions, whether or not only one is up at a time,
> and regardless of how many assets are in that region (minimum is 1).
>


You have the zlib1g package installed?

  # aptitude install zlib1g

-coyled

_______________________________________________
Opensim-users mailing list
[hidden email]
https://lists.berlios.de/mailman/listinfo/opensim-users
Reply | Threaded
Open this post in threaded view
|

Re: Error from "save oar"

John Hopkin
Dave Coyle wrote:

> On Feb 2, 2010, at 11:59 AM, John Hopkin  
> <[hidden email]> wrote:
>
> > I'm getting errors (see below) whenever I try "save oar". This occurs
> > from any of the 11 regions, whether or not only one is up at a time,
> > and regardless of how many assets are in that region (minimum is 1).
>
> You have the zlib1g package installed?
>
>   # aptitude install zlib1g

Yes, zlib1g is installed.

Also, I've installed OpenSim on another Ubuntu machine, of
nearly-identical specification, and that too gives the error.
--
John Hopkin

_______________________________________________
Opensim-users mailing list
[hidden email]
https://lists.berlios.de/mailman/listinfo/opensim-users
Reply | Threaded
Open this post in threaded view
|

Re: Error from "save oar"

justincc
John Hopkin wrote:

> Dave Coyle wrote:
>
>> On Feb 2, 2010, at 11:59 AM, John Hopkin  
>> <[hidden email]> wrote:
>>
>>> I'm getting errors (see below) whenever I try "save oar". This occurs
>>> from any of the 11 regions, whether or not only one is up at a time,
>>> and regardless of how many assets are in that region (minimum is 1).
>> You have the zlib1g package installed?
>>
>>   # aptitude install zlib1g
>
> Yes, zlib1g is installed.
>
> Also, I've installed OpenSim on another Ubuntu machine, of
> nearly-identical specification, and that too gives the error.

Odd error - never seen it before and Google shows few clues.  What happens if you run under the Mono
2.4.2.3 that is packaged with Koala Ubuntu?

--
Justin Clark-Casey (justincc)
http://justincc.org
http://twitter.com/justincc
_______________________________________________
Opensim-users mailing list
[hidden email]
https://lists.berlios.de/mailman/listinfo/opensim-users
Reply | Threaded
Open this post in threaded view
|

Re: Error from "save oar"

John Hopkin
Justin Clark-Casey wrote:

> John Hopkin wrote:
> > Dave Coyle wrote:
> >
> >> On Feb 2, 2010, at 11:59 AM, John Hopkin  
> >> <[hidden email]> wrote:
> >>
> >>> I'm getting errors (see below) whenever I try "save oar". This occurs
> >>> from any of the 11 regions, whether or not only one is up at a time,
> >>> and regardless of how many assets are in that region (minimum is 1).
> >> You have the zlib1g package installed?
> >>
> >>   # aptitude install zlib1g
> >
> > Yes, zlib1g is installed.
> >
> > Also, I've installed OpenSim on another Ubuntu machine, of
> > nearly-identical specification, and that too gives the error.
>
> Odd error - never seen it before and Google shows few clues.  What happens if you run under the Mono
> 2.4.2.3 that is packaged with Koala Ubuntu?

I'm getting the same error under 2.4, unfortunately.
--
John Hopkin

_______________________________________________
Opensim-users mailing list
[hidden email]
https://lists.berlios.de/mailman/listinfo/opensim-users
Reply | Threaded
Open this post in threaded view
|

Re: Error from "save oar"

Jane Foxclaw
Ok i hate to be a sour puss here..  but anytime I run OpenSim with any version of Mono on Ubuntu / Kubuntu I get nothing but errors. However I run OpenSim with Mono 2.4.2.3 on Debian 5 and its stable with no errors.  Just a thought.

John

On Fri, Feb 5, 2010 at 11:08 PM, John Hopkin <[hidden email]> wrote:
Justin Clark-Casey wrote:

> John Hopkin wrote:
> > Dave Coyle wrote:
> >
> >> On Feb 2, 2010, at 11:59 AM, John Hopkin
> >> <[hidden email]> wrote:
> >>
> >>> I'm getting errors (see below) whenever I try "save oar". This occurs
> >>> from any of the 11 regions, whether or not only one is up at a time,
> >>> and regardless of how many assets are in that region (minimum is 1).
> >> You have the zlib1g package installed?
> >>
> >>   # aptitude install zlib1g
> >
> > Yes, zlib1g is installed.
> >
> > Also, I've installed OpenSim on another Ubuntu machine, of
> > nearly-identical specification, and that too gives the error.
>
> Odd error - never seen it before and Google shows few clues.  What happens if you run under the Mono
> 2.4.2.3 that is packaged with Koala Ubuntu?

I'm getting the same error under 2.4, unfortunately.
--
John Hopkin

_______________________________________________
Opensim-users mailing list
[hidden email]
https://lists.berlios.de/mailman/listinfo/opensim-users


_______________________________________________
Opensim-users mailing list
[hidden email]
https://lists.berlios.de/mailman/listinfo/opensim-users
Reply | Threaded
Open this post in threaded view
|

Re: Error from "save oar"

Karen_Palen
I have been running the Diva distro with Ubuntu Koala (9.10) with no problems, I do a weekly save to OAR and IAR also with no apparent errors.

Note that Koala has had an unusual number of "teething" problems and a similar number of updates. The kernel is presently 2.6.31-19 (the original Koala was released with 2.6.31-11!)

I would be tempted to do a complete re-install just to be sure everything was up to date. I have put the root (/*) and /home/* trees in separate partitions to aid in doing this.

I actually set this up so I could try multiple distros like OpenSuSE, but it is also convenient for problems of this kind.

It really boils down to eliminating things one at a time until the problem goes away!

Karen

--- On Mon, 2/8/10, Jane Foxclaw <[hidden email]> wrote:

> From: Jane Foxclaw <[hidden email]>
> Subject: Re: [Opensim-users] Error from "save oar"
> To: [hidden email]
> Date: Monday, February 8, 2010, 6:49 AM
> Ok i hate to be a sour puss here..  but
> anytime I run OpenSim with any version of Mono on Ubuntu /
> Kubuntu I get nothing but errors. However I run OpenSim with
> Mono 2.4.2.3 on Debian 5 and its stable with no errors.
>  Just a thought.
>
> John
>
> On Fri, Feb 5, 2010 at 11:08 PM,
> John Hopkin <[hidden email]>
> wrote:
>
> Justin Clark-Casey wrote:
>
>
>
> > John Hopkin wrote:
>
> > > Dave Coyle wrote:
>
> > >
>
> > >> On Feb 2, 2010, at 11:59 AM, John Hopkin
>
> > >> <[hidden email]>
> wrote:
>
> > >>
>
> > >>> I'm getting errors (see below)
> whenever I try "save oar". This occurs
>
> > >>> from any of the 11 regions, whether or
> not only one is up at a time,
>
> > >>> and regardless of how many assets are in
> that region (minimum is 1).
>
> > >> You have the zlib1g package installed?
>
> > >>
>
> > >>   # aptitude install zlib1g
>
> > >
>
> > > Yes, zlib1g is installed.
>
> > >
>
> > > Also, I've installed OpenSim on another
> Ubuntu machine, of
>
> > > nearly-identical specification, and that too
> gives the error.
>
> >
>
> > Odd error - never seen it before and Google shows few
> clues.  What happens if you run under the Mono
>
> > 2.4.2.3 that is packaged with Koala Ubuntu?
>
>
>
> I'm getting the same error under 2.4,
> unfortunately.
>
> --
>
> John Hopkin
>
>
>
> _______________________________________________
>
> Opensim-users mailing list
>
> [hidden email]
>
> https://lists.berlios.de/mailman/listinfo/opensim-users
>
>
>
>
> -----Inline Attachment Follows-----
>
> _______________________________________________
> Opensim-users mailing list
> [hidden email]
> https://lists.berlios.de/mailman/listinfo/opensim-users
>


     
_______________________________________________
Opensim-users mailing list
[hidden email]
https://lists.berlios.de/mailman/listinfo/opensim-users
Reply | Threaded
Open this post in threaded view
|

Re: Error from "save oar"

John Hopkin
In reply to this post by John Hopkin
John Hopkin wrote:

> Justin Clark-Casey wrote:
>
> > John Hopkin wrote:
> > > Dave Coyle wrote:
> > >
> > >> On Feb 2, 2010, at 11:59 AM, John Hopkin  
> > >> <[hidden email]> wrote:
> > >>
> > >>> I'm getting errors (see below) whenever I try "save oar". This occurs
> > >>> from any of the 11 regions, whether or not only one is up at a time,
> > >>> and regardless of how many assets are in that region (minimum is 1).
> > >> You have the zlib1g package installed?
> > >>
> > >>   # aptitude install zlib1g
> > >
> > > Yes, zlib1g is installed.
> > >
> > > Also, I've installed OpenSim on another Ubuntu machine, of
> > > nearly-identical specification, and that too gives the error.
> >
> > Odd error - never seen it before and Google shows few clues.  What happens if you run under the Mono
> > 2.4.2.3 that is packaged with Koala Ubuntu?
>
> I'm getting the same error under 2.4, unfortunately.

A thousand apologies, Justin - just checked, and I'd changed the wrong
script, so I was still running 2.6.

No, the error doesn't occur under 2.4.2.3.

I do get "[ASYNC REQUEST]: Request GET
http://assets.osgrid.org:8003/assets/<UUID> failed with unexpected
status code BadGateway" a few times, but I get that anyway; presumably
that's just stuff not being found on the asset server. The OAR is
created just fine.
--
John Hopkin

_______________________________________________
Opensim-users mailing list
[hidden email]
https://lists.berlios.de/mailman/listinfo/opensim-users
Reply | Threaded
Open this post in threaded view
|

Re: Error from "save oar"

John Hopkin
In reply to this post by Karen_Palen
It may come to this on one of the machines anyway. I can do a backup
by using Mono 2.4 on one of the machines, but the other one seems to
have 2.2 permanently installed somehow (I followed some instructions
to install that ages ago), and 2.6 avoided that mess by installing in
another path.

Thanks for the suggestion.

Karen Palen wrote:

> I have been running the Diva distro with Ubuntu Koala (9.10) with no problems, I do a weekly save to OAR and IAR also with no apparent errors.
>
> Note that Koala has had an unusual number of "teething" problems and a similar number of updates. The kernel is presently 2.6.31-19 (the original Koala was released with 2.6.31-11!)
>
> I would be tempted to do a complete re-install just to be sure everything was up to date. I have put the root (/*) and /home/* trees in separate partitions to aid in doing this.
>
> I actually set this up so I could try multiple distros like OpenSuSE, but it is also convenient for problems of this kind.
>
> It really boils down to eliminating things one at a time until the problem goes away!
>
> Karen
>
> --- On Mon, 2/8/10, Jane Foxclaw <[hidden email]> wrote:
>
> > From: Jane Foxclaw <[hidden email]>
> > Subject: Re: [Opensim-users] Error from "save oar"
> > To: [hidden email]
> > Date: Monday, February 8, 2010, 6:49 AM
> > Ok i hate to be a sour puss here..  but
> > anytime I run OpenSim with any version of Mono on Ubuntu /
> > Kubuntu I get nothing but errors. However I run OpenSim with
> > Mono 2.4.2.3 on Debian 5 and its stable with no errors.
> >  Just a thought.
> >
> > John
> >
> > On Fri, Feb 5, 2010 at 11:08 PM,
> > John Hopkin <[hidden email]>
> > wrote:
> >
> > Justin Clark-Casey wrote:
> >
> >
> >
> > > John Hopkin wrote:
> >
> > > > Dave Coyle wrote:
> >
> > > >
> >
> > > >> On Feb 2, 2010, at 11:59 AM, John Hopkin
> >
> > > >> <[hidden email]>
> > wrote:
> >
> > > >>
> >
> > > >>> I'm getting errors (see below)
> > whenever I try "save oar". This occurs
> >
> > > >>> from any of the 11 regions, whether or
> > not only one is up at a time,
> >
> > > >>> and regardless of how many assets are in
> > that region (minimum is 1).
> >
> > > >> You have the zlib1g package installed?
> >
> > > >>
> >
> > > >>   # aptitude install zlib1g
> >
> > > >
> >
> > > > Yes, zlib1g is installed.
> >
> > > >
> >
> > > > Also, I've installed OpenSim on another
> > Ubuntu machine, of
> >
> > > > nearly-identical specification, and that too
> > gives the error.
> >
> > >
> >
> > > Odd error - never seen it before and Google shows few
> > clues.  What happens if you run under the Mono
> >
> > > 2.4.2.3 that is packaged with Koala Ubuntu?
> >
> >
> >
> > I'm getting the same error under 2.4,
> > unfortunately.
> >
> > --
> >
> > John Hopkin
> >
> >
> >
> > _______________________________________________
> >
> > Opensim-users mailing list
> >
> > [hidden email]
> >
> > https://lists.berlios.de/mailman/listinfo/opensim-users
> >
> >
> >
> >
> > -----Inline Attachment Follows-----
> >
> > _______________________________________________
> > Opensim-users mailing list
> > [hidden email]
> > https://lists.berlios.de/mailman/listinfo/opensim-users
> >
>
>
>      
--
John Hopkin

_______________________________________________
Opensim-users mailing list
[hidden email]
https://lists.berlios.de/mailman/listinfo/opensim-users